---
search:
  tags:
    - Products
    - GET
seo:
  description: >-
    Returns full details for a single product including embedded variants,
    images,… Reference for the GET /products/{id} endpoint in the Bolder API v1.
sidebar:
  label: Product details
  badge: GET
title: Product details
type: openapi-operation
---
Returns full details for a single product including embedded variants, images, collections and custom attributes.

`GET /products/{id}`

**Responses**

- `200` — Product resource
- `404` — Resource not found

Response example, 200:

```json
{
  "id": "string",
  "slug": "string",
  "title": "string",
  "status": "visible",
  "price": 0,
  "price_comparison": 0,
  "discount_percentage": 0,
  "currency_code": "string",
  "vendor": "string",
  "tags": [
    "string"
  ],
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z",
  "_links": {},
  "_embedded": {
    "shop": {
      "id": "string",
      "name": "string",
      "subdomain": "string",
      "url": "string",
      "description": "string",
      "currency_code": "string",
      "locale": "string",
      "created_on": "2019-08-24T14:15:22Z",
      "updated_on": "2019-08-24T14:15:22Z",
      "product_counts": {
        "visible": 0,
        "hidden": 0
      },
      "_links": {}
    },
    "image": {
      "file_name": "string",
      "title": "string",
      "_links": {
        "thumbnail": {
          "href": "string",
          "method": "string",
          "title": "string",
          "type": "string",
          "templated": true
        },
        "small": {
          "href": "string",
          "method": "string",
          "title": "string",
          "type": "string",
          "templated": true
        },
        "medium": {
          "href": "string",
          "method": "string",
          "title": "string",
          "type": "string",
          "templated": true
        },
        "large": {
          "href": "string",
          "method": "string",
          "title": "string",
          "type": "string",
          "templated": true
        },
        "original": {
          "href": "string",
          "method": "string",
          "title": "string",
          "type": "string",
          "templated": true
        }
      }
    },
    "variants": [
      {
        "id": 0,
        "title": "string",
        "position": 0,
        "sku": "string",
        "price": 0,
        "price_comparison": 0,
        "stock": 0,
        "available_if_no_stock": true,
        "weight_in_grams": 0,
        "_links": {}
      }
    ],
    "collections": [
      {
        "id": 0,
        "title": "string",
        "slug": "string",
        "shop_id": 0
      }
    ],
    "images": [
      {
        "file_name": "string",
        "title": "string",
        "_links": {
          "thumbnail": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          },
          "small": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          },
          "medium": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          },
          "large": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          },
          "original": {
            "href": "string",
            "method": "string",
            "title": "string",
            "type": "string",
            "templated": true
          }
        }
      }
    ],
    "custom_attributes": [
      {
        "id": 0,
        "name": "string",
        "value": "string",
        "field_type": "string",
        "required": true,
        "key": "string"
      }
    ]
  },
  "description": "string"
}
```
